MPROTECT(2)

NAME
mprotect - control the protection of pages

SYNOPSIS
#include <sys/types.h>
#include <sys/mman.h>
int
mprotect(void *addr, size_t len, int prot);

DESCRIPTION
The mprotect() system call changes the specified pages to have protection prot. Not all implementations will guarantee protection on a page basis; the granularity of protection changes may be as large as an entire region.

SEE ALSO
madvise(2), mincore(2), msync(2), munmap(2)

HISTORY
The mprotect() function first appeared in 4.4BSD.